.cross
  position: absolute
  width: 20px
  height: hCross = 20px
  right 20px
  top 20px
  margin-top tCross = -12px
  cursor pointer
  &__line
    transition all .5s ease
    width 100%
    height 2px
    background black
    position absolute
    top (hCross/2)
    transform rotate(45deg)
    &:nth-child(2)
      transform rotate(-45deg)
.modal__close
  &:hover
      .cross__line
        transform rotate(0deg)
        &:nth-child(2)
          transform rotate(0deg)